Subject: Fwd: IAB Seeks Executive Director

From: Russ Housley <[email-masked]>
Date: Fri, 2 Dec 2011 13:24:34 -0500

For those people that do not read ietf-announce ...

Begin forwarded message:

> From: "IAB Chair" <[email-masked]>
> Date: December 2, 2011 12:53:35 PM EST
> To: <[email-masked]>
> Subject: IAB Seeks Executive Director
> Reply-To: [email-masked]
> 
> The Internet Architecture Board (IAB) is seeking a candidate
> to succeed Dow Street as IAB Executive Director.  Dow has been
> in the role for nearly 4 years and is planning to step down
> due to other commitments.
>  
> We are looking for a replacement to start working with the IAB as
> of January 1, 2012.
>  
> The Executive Director is a non-voting ex-officio member of the IAB
> (RFC2850) who assumes, in close cooperation with the chair, the
> responsibility to assist the IAB in the organization of its day-to-day
> activities and workflow, and maintain the public face of the IAB.
>  
> A great deal of the work is of an administrative nature and needs to
> be performed in a timely fashion. In general these tasks include:
>  
> + Management of the preparation of the agendas
>  
> + Collecting and tracking action items. This includes regular
>    round-ups of the status of the action items, IAB documents, and
>    liaison reports.
>  
> + Assisting in running meetings: roll call and agenda tracking.
>  
> + Publishing actions and correspondence of the IAB on
>    the IAB website.
>  
> + Tracking and maintaining the status of IAB projects. For instance,
>    this includes keeping track of timelines during nominations and
>    confirmation (e.g. for ISOC BoT member selection or IETF IESG
>    confirmation) , coordinating invitations for workshops, management
>    of documents, etc.
>  
> + Maintenance of the IAB website, IAB related mailing lists, and
>    realtime communications facilities such as the IAB jabber room
>    and conferencing services.
>  
> Given these tasks an Executive Director should ideally:
>  
> + Have sufficient time available and be able to allocate that time to
>    IAB tasks when needed. For example, it is preferable that the
>    candidate not be chair of more than one IETF WG, or a member of the
>    IESG or IAB. The Executive Director is expected to attend all IETF
>    meetings and IAB Retreats and Workshops (typically two per year).
>    The IAB has approximately 8-10 hours of teleconferences per month
>    which require preparation and follow-up.
>  
> + IT management skills. The Executive Director oversees IT services
>    supporting the IAB as well as handling sysadmin tasks such as
>    administration of the IAB websites, maintenance of tools such as
>    Wikis, Jabber servers, conferencing facilities, email lists, etc.
>  
> + IETF experience. The candidate is an ex-officio member and may
>    participate in discussion. It is desirable for the candidate to
>    have at least some experience with the IETF.
>  
> + Organizational skills. The Executive Director serves as a program
>    manager for IAB work items. It is desirable for the candidate to be
>    able to juggle many outstanding tasks simultaneously.
>  
> If you are interested in the position, please send email to the
> IAB Chair <[email-masked]> explaining your interest in the job
> and the abilities that you bring to it.  The information will be
> shared with voting members of the IAB, but will otherwise be
> treated confidentially.
>  
> The IAB would like to thank Dow for his service to the community.
>  
> For the IAB,
>  
> Bernard Aboba
> IAB chair
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce

---

From: Thomas Narten <[email-masked]>
Date: Thu, 15 Dec 2011 09:36:37 -0500

>    which require preparation and follow-up.

Can we get some comments from previous Exec Directors (or others)
about what the *actual* time commitment has been in practice?

In encouraging folk to submit their names, I've been asked what the
actual work load is in practice.

Thanks!

Thomas

---

From: Spencer Dawkins <[email-masked]>
Date: Thu, 15 Dec 2011 14:36:07 -0600

Hi, Thomas,

Thanks for your help in the talent search!

I haven't seen a reply to your note, but it's worth mentioning that the 
IAB ExecDir is no longer responsible for weekly telechat minutes, and at 
least some of the IT/web responsibilities performed by previous ExecDirs 
are moving to the secretariat.

Input from previous ExecDirs would be more helpful if they subtract that 
out.

Spencer